Subject: [NEXTEL-1] 'lil ice in NC...off topic

From: "Todd Ellis" <[email-masked]>
Date: Sat, 1 Mar 2003 10:49:24 -0500

This is a picture from a friend of mine who lost his mid-life crisis car.
It will be a while before he gets his baby back.  For those wondering, it's
one of the last production run Camaros with the Corvette engine and a
six-speed manual transmission.  Some other nut lost it on a curving bridge,
spun, and managed to bounce back into traffic - into Dave's machine.  If you
can't drive well in ice, please don't!

The NC State Troopers have a couple of these monsters painted white with
cute little red and blue strobes in the back window.

Todd Ellis